Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2177438 - [abrt] mate-settings-daemon: glib_io_free(): mate-settings-daemon killed by SIGSEGV
Summary: [abrt] mate-settings-daemon: glib_io_free(): mate-settings-daemon killed by S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-settings-daemon
Version: 37
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a5439cb0b58eeadb88b2bcfbdce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-11 19:40 UTC by Sylvain Arth
Modified: 2023-09-27 02:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-27 02:37:12 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2023-03-11 19:40 UTC, Sylvain Arth
no flags Details
File: core_backtrace (deleted)
2023-03-11 19:40 UTC, Sylvain Arth
no flags Details
File: cpuinfo (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details
File: dso_list (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details
File: environ (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details
File: exploitable (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details
File: limits (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details
File: machineid (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details
File: maps (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details
File: mountinfo (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details
File: open_fds (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details
File: proc_pid_status (deleted)
2023-03-11 19:41 UTC, Sylvain Arth
no flags Details

Description Sylvain Arth 2023-03-11 19:40:54 UTC
Version-Release number of selected component:
mate-settings-daemon-1.26.0-6.fc37

Additional info:
reporter:       libreport-2.17.4
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-3456.scope
cmdline:        /usr/libexec/mate-settings-daemon
crash_function: glib_io_free
executable:     /usr/libexec/mate-settings-daemon
journald_cursor: s=d4de133125b84bebb8072c626a0016ae;i=ad454;b=e266e2849f3c4b28a2fd49ebdcb30652;m=a21f960935;t=5f6a4e4959f2c;x=bc0563b74ceaff72
kernel:         6.1.14-200.fc37.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 glib_io_free at ../src/pulse/glib-mainloop.c:259
 #1 delete_events at ../src/pulsecore/iochannel.c:66
 #2 pa_iochannel_free at ../src/pulsecore/iochannel.c:186
 #3 pa_pstream_unlink at ../src/pulsecore/pstream.c:1214
 #5 context_unlink at ../src/pulse/context.c:234
 #6 pa_context_set_state at ../src/pulse/context.c:323
 #7 pa_context_fail at ../src/pulse/context.c:343
 #8 pa_context_handle_error at ../src/pulse/context.c:478
 #9 setup_complete_callback at ../src/pulse/context.c:497
 #10 run_action at ../src/pulsecore/pdispatch.c:291

Potential duplicate: bug 1821732

Comment 1 Sylvain Arth 2023-03-11 19:40:58 UTC
Created attachment 1949876 [details]
File: backtrace

Comment 2 Sylvain Arth 2023-03-11 19:40:59 UTC
Created attachment 1949877 [details]
File: core_backtrace

Comment 3 Sylvain Arth 2023-03-11 19:41:00 UTC
Created attachment 1949878 [details]
File: cpuinfo

Comment 4 Sylvain Arth 2023-03-11 19:41:01 UTC
Created attachment 1949879 [details]
File: dso_list

Comment 5 Sylvain Arth 2023-03-11 19:41:02 UTC
Created attachment 1949880 [details]
File: environ

Comment 6 Sylvain Arth 2023-03-11 19:41:04 UTC
Created attachment 1949881 [details]
File: exploitable

Comment 7 Sylvain Arth 2023-03-11 19:41:05 UTC
Created attachment 1949882 [details]
File: limits

Comment 8 Sylvain Arth 2023-03-11 19:41:06 UTC
Created attachment 1949883 [details]
File: machineid

Comment 9 Sylvain Arth 2023-03-11 19:41:07 UTC
Created attachment 1949884 [details]
File: maps

Comment 10 Sylvain Arth 2023-03-11 19:41:08 UTC
Created attachment 1949885 [details]
File: mountinfo

Comment 11 Sylvain Arth 2023-03-11 19:41:09 UTC
Created attachment 1949886 [details]
File: open_fds

Comment 12 Sylvain Arth 2023-03-11 19:41:11 UTC
Created attachment 1949887 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2023-09-18 13:53:49 UTC
FEDORA-2023-2d0efddd4e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2d0efddd4e

Comment 14 Fedora Update System 2023-09-18 13:59:48 UTC
FEDORA-2023-c889cced01 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c889cced01

Comment 15 Fedora Update System 2023-09-19 01:38:01 UTC
FEDORA-2023-c889cced01 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c889cced01`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c889cced01

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-09-19 01:46:50 UTC
FEDORA-2023-2d0efddd4e has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2d0efddd4e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2d0efddd4e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2023-09-27 02:37:12 UTC
FEDORA-2023-2d0efddd4e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2023-09-27 02:42:40 UTC
FEDORA-2023-c889cced01 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.